Get customer list details

API at a glance

Description: This API retrieves detailed information about a specific custom user list including metadata, user count, status, and configuration.

Authentication & testing

Testing the API on this page

How to try it here

  • Use your User API Key as the Username (leave Password blank).
  • Select the appropriate API endpoint based on your Blueshift region.
  • API - Select Region
  • Enter the necessary parameters and click Try It to run the request.
Authentication using Base64 encoding

Note for developers

API requests require authentication using HTTP Basic Authentication with an API key. The API key serves as the username, while the password field should be left empty. The format to encode is: your_api_key: (note the trailing colon).

This string must be Base64-encoded and included in the request's Authorization header as follows:

Authorization: Basic encoded_value

You can generate the encoded value using a trusted Base64 encoder.


Postman collection

Try it with Postman: Explore the API using Blueshift's Postman collection.


Things to know before you start

  • List ID required: Obtain the list ID from the Create empty list response or from the Blueshift dashboard.

You can find the list ID in the URL when viewing a custom user list in the Blueshift app. For example, if you open a custom user list in the Blueshift app, its URL looks like https://app.getblueshift.com/dashboard#/app/custom_list/<LIST_ID>/edit.

  • List metadata: Response includes list ID, UUID, user count, status, source type, import method, and timestamps.
  • Use case: Best for auditing list details, monitoring list status, and integrating list metadata with external systems.

Request parameters

Check out the request parameters

Path parameters

ParameterTypeRequiredDescription
custom_user_list_idstring✅ YesID of the custom user list.

Example requests & responses

Get customer list details
GET /api/v1/custom_user_lists/id/{custom_user_list_id}
{
  "id": 6883,
  "account_id": 182,
  "filename": "dummy_push_upload.csv_2017-11-28:T10:11:38",
  "description": "email,device_tokens,device_ids",
  "filesize": 159,
  "user_count": 1000,
  "status": "ready",
  "created_at": "2024-08-25T06:06:59.412Z",
  "updated_at": "2021-08-25T06:06:59.412Z",
  "is_exporting": false,
  "user_id": 3808,
  "source": "email",
  "uuid": "5ab42b99-3332-4af7-8aad-91b6baa934fa",
  "is_seed_list": true,
  "deleted_at": null,
  "version": "v1",
  "import_method": "upload",
  "author": "John Doe"
}
Path Params
string
required
Responses

400

Bad request - The request was invalid or cannot be otherwise served. An accompanying error message will explain further.

404

Resource not found - The customer list you are looking for could not be found.

409

Conflict error, please retry - The request could not be completed due to a conflict with the current state of the target resource, re-try with exponential backoff.

429

Rate limit exceeded - Too many requests. Contact us on [email protected] for recommended throughput.

500

Internal Server Error - Please contact blueshift for more information.

502

Service unavailable, please retry - Bad Gateway, re-try with exponential backoff.

503

Service unavailable, please retry - Service Unavailable, re-try with exponential backoff.

504

Service unavailable, please retry - Gateway Timeout, please re-try with exponential backoff.

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json